Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.editor
Interface ActivityDiagramEditor

    com.change_vision.jude.api.inf.editor.ActivityDiagramEditor

All Superinterfaces:
  BasicDiagramEditor, BehaviorDiagramEditor, DiagramEditor

All Implemented Interfaces:
  BasicDiagramEditor, BehaviorDiagramEditor, DiagramEditor

    public ActivityDiagramEditor

extends BehaviorDiagramEditor

Interface to create presentations in Activity Diagram.

Since:
  6.8.0

Method Summary
`abstract INodePresentation` | `createAcceptEventAction(String name, Point2D location)` Create an Accept Event Action.
`abstract INodePresentation` | `createAcceptTimeEventAction(String name, Point2D location)` Create an Accept Time Event Action.
`abstract INodePresentation` | `createAction(String name, Point2D location)` Create an Action.
`abstract IActivityDiagram` | `createActivityDiagram(INamedElement owner, String name)` Crate an activity diagram in a parent package.
`abstract INodePresentation` | `createActivityParameterNode(String name, IClass base, Point2D location)` Create an Activity Parameter Node.
`abstract INodePresentation` | `createCallBehaviorAction(String name, IActivityDiagram activity, Point2D location)` Create a Call Behavior Action.
`abstract INodePresentation` | `createConnector(String name, Point2D location)` Create a Connector.
`abstract INodePresentation` | `createDecisionMergeNode(INodePresentation parent, Point2D location)` Create a decision Merge Node.
`abstract ILinkPresentation` | `createDependency(String name, INodePresentation client, INodePresentation supplier)` Create a Dependency.
`abstract INodePresentation` | `createFinalNode(String name, Point2D location)` Create a Final Node.
`abstract ILinkPresentation` | `createFlow(INodePresentation source, INodePresentation target)` Create a Control Flow.
`abstract INodePresentation` | `createFlowFinalNode(String name, Point2D location)` Create a Flow Final Node.
`abstract INodePresentation` | `createForkNode(INodePresentation parent, Point2D location, double width, double height)` Create a Fork Node.
`abstract INodePresentation` | `createForkNode(INodePresentation parent, Point2D location)` Create a Fork Node.
`abstract INodePresentation` | `createInitialNode(String name, Point2D location)` Create an Initial Node.
`abstract INodePresentation` | `createJoinNode(INodePresentation parent, Point2D location, double width, double height)` Create a Join Node.
`abstract INodePresentation` | `createJoinNode(INodePresentation parent, Point2D location)` Create a Join Node.
`abstract INodePresentation` | `createObjectNode(String name, IClass base, Point2D location)` Create an Object Node.
`abstract INodePresentation` | `createPartition(INodePresentation superPartition, INodePresentation previousPartition, String name, boolean isHorizontal)` Create a Partition.
`abstract INodePresentation` | `createPin(String name, IClass base, boolean isInput, INodePresentation parentAction, Point2D location)` Create a Pin in a Parent Presentation.
`abstract INodePresentation` | `createProcess(String name, Point2D location)` Create a Process.
`abstract INodePresentation` | `createSendSignalAction(String name, Point2D location)` Create a send Signal Action.

Methods inherited from class com.change_vision.jude.api.inf.editor.BasicDiagramEditor
`createNote, createNoteAnchor, createNoteAnchor`

Methods inherited from class com.change_vision.jude.api.inf.editor.DiagramEditor
`createImage, createLine, createRect, createText, delete, deleteDiagram, deletePresentation, getDiagram, setDiagram`

Method Detail

### createActivityDiagram

    abstract IActivityDiagram createActivityDiagram(INamedElement owner,
                                                    String name)

  Crate an activity diagram in a parent package. Diagram is set to DiagramEditor (DiagramEditor.setDiagram(IDiagram diagram)) if the diagram is created successfully.

  Parameters:
    `owner` - Parent Package
    `name` - Activity Diagram Name
  Returns:
    Activity Diagram
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              NO_NAME_ERROR_KEY - if the name is empty.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              READ_ONLY_MESSAGE - if a read-only element is edited.
              INVALID_OWNER_KEY - if the owner is invalid.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

  Since:
    6.8.0

### createPartition

    abstract INodePresentation createPartition(INodePresentation superPartition,
                                               INodePresentation previousPartition,
                                               String name,
                                               boolean isHorizontal)

  Create a Partition.

  Parameters:
    `superPartition` - Super Partition
    `previousPartition` - Previous Partition
    `name` - Partition Name
    `isHorizontal` - Horizontal Partition / Vertical Partition
  Returns:
    INodePresentation Partition
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              NO_NAME_ERROR_KEY - if the name is empty.
              NO_TARGET_DIAGRAM_KEY - if target Diagram is not set.
              READ_ONLY_MESSAGE - if a read-only element is edited.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

  Since:
    6.8.0

### createInitialNode

    abstract INodePresentation createInitialNode(String name,
                                                 Point2D location)

  Create an Initial Node.

  Parameters:
    `name` - Initial Node Name
    `location` - Location
  Returns:
    INodePresentation Initial State
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              NO_TARGET_DIAGRAM_KEY - if target Diagram is not set.
              ILLEGAL_DIAGRAM_TYPE_KEY - if the diagram type is illegal.
              INVALID_DIAGRAM_ERROR_KEY - if a diagram of an element is not correct.
              INVALID_PARENT_KEY - if the parent is invalid.
              READ_ONLY_MESSAGE - if a read-only element is edited.
              OUT_OF_CONTAINER_KEY - if the location is specified out of container.
              LOCATION_ERROR_KEY - if a parent exists in the specified location.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

  Since:
    6.8.0

### createFinalNode

    abstract INodePresentation createFinalNode(String name,
                                               Point2D location)

  Create a Final Node.

  Parameters:
    `name` - Final Node Name
    `location` - Location
  Returns:
    INodePresentation Final State
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              NO_TARGET_DIAGRAM_KEY - if target Diagram is not set.
              ILLEGAL_DIAGRAM_TYPE_KEY - if the diagram type is illegal.
              INVALID_DIAGRAM_ERROR_KEY - if a diagram of an element is not correct.
              INVALID_PARENT_KEY - if the parent is invalid.
              READ_ONLY_MESSAGE - if a read-only element is edited.
              OUT_OF_CONTAINER_KEY - if the location is specified out of container.
              LOCATION_ERROR_KEY - if a parent exists in the specified location.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

  Since:
    6.8.0

### createAction

    abstract INodePresentation createAction(String name,
                                            Point2D location)

  Create an Action.

  Parameters:
    `name` - Action Name
    `location` - Location
  Returns:
    INodePresentation Action
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              NO_TARGET_DIAGRAM_KEY - if target Diagram is not set.
              ILLEGAL_DIAGRAM_TYPE_KEY - if the diagram type is illegal.
              INVALID_DIAGRAM_ERROR_KEY - if a diagram of an element is not correct.
              INVALID_PARENT_KEY - if the parent is invalid.
              READ_ONLY_MESSAGE - if a read-only element is edited.
              OUT_OF_CONTAINER_KEY - if the location is specified out of container.
              LOCATION_ERROR_KEY - if a parent exists in the specified location.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

  Since:
    6.8.0

### createFlowFinalNode

    abstract INodePresentation createFlowFinalNode(String name,
                                                   Point2D location)

  Create a Flow Final Node.

  Parameters:
    `name` - Flow Final Node Name
    `location` - Location
  Returns:
    INodePresentation Flow Final Node
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              NO_TARGET_DIAGRAM_KEY - if target Diagram is not set.
              ILLEGAL_DIAGRAM_TYPE_KEY - if the diagram type is illegal.
              INVALID_DIAGRAM_ERROR_KEY - if a diagram of an element is not correct.
              READ_ONLY_MESSAGE - if a read-only element is edited.
              OUT_OF_CONTAINER_KEY - if the location is specified out of container.
              LOCATION_ERROR_KEY - if a parent exists in the specified location.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

  Since:
    6.8.0

### createSendSignalAction

    abstract INodePresentation createSendSignalAction(String name,
                                                      Point2D location)

  Create a send Signal Action.

  Parameters:
    `name` - send Signal Action Name
    `location` - Location
  Returns:
    INodePresentation send Signal Action
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              NO_TARGET_DIAGRAM_KEY - if target Diagram is not set.
              ILLEGAL_DIAGRAM_TYPE_KEY - if the diagram type is illegal.
              INVALID_DIAGRAM_ERROR_KEY - if a diagram of an element is not correct.
              INVALID_PARENT_KEY - if the parent is invalid.
              READ_ONLY_MESSAGE - if a read-only element is edited.
              OUT_OF_CONTAINER_KEY - if the location is specified out of container.
              LOCATION_ERROR_KEY - if a parent exists in the specified location.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

  Since:
    6.8.0

### createAcceptEventAction

    abstract INodePresentation createAcceptEventAction(String name,
                                                       Point2D location)

  Create an Accept Event Action.

  Parameters:
    `name` - Accept Event Action Name
    `location` - Location
  Returns:
    INodePresentation Accept Event Action
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              NO_TARGET_DIAGRAM_KEY - if target Diagram is not set.
              ILLEGAL_DIAGRAM_TYPE_KEY - if the diagram type is illegal.
              INVALID_DIAGRAM_ERROR_KEY - if a diagram of an element is not correct.
              INVALID_PARENT_KEY - if the parent is invalid.
              READ_ONLY_MESSAGE - if a read-only element is edited.
              OUT_OF_CONTAINER_KEY - if the location is specified out of container.
              LOCATION_ERROR_KEY - if a parent exists in the specified location.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

  Since:
    6.8.0

### createAcceptTimeEventAction

    abstract INodePresentation createAcceptTimeEventAction(String name,
                                                           Point2D location)

  Create an Accept Time Event Action.

  Parameters:
    `name` - Accept Time Event Action Name
    `location` - Location
  Returns:
    INodePresentation Accept Time Event Action
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              NO_TARGET_DIAGRAM_KEY - if target Diagram is not set.
              ILLEGAL_DIAGRAM_TYPE_KEY - if the diagram type is illegal.
              INVALID_DIAGRAM_ERROR_KEY - if a diagram of an element is not correct.
              INVALID_PARENT_KEY - if the parent is invalid.
              READ_ONLY_MESSAGE - if a read-only element is edited.
              OUT_OF_CONTAINER_KEY - if the location is specified out of container.
              LOCATION_ERROR_KEY - if a parent exists in the specified location.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

  Since:
    6.8.0

### createCallBehaviorAction

    abstract INodePresentation createCallBehaviorAction(String name,
                                                        IActivityDiagram activity,
                                                        Point2D location)

  Create a Call Behavior Action.

  Parameters:
    `name` - Call Behavior Action Name
    `activity` - Activity diagram to reference
    `location` - Location
  Returns:
    INodePresentation Call Behavior Action
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              NO_TARGET_DIAGRAM_KEY - if target Diagram is not set.
              ILLEGAL_DIAGRAM_TYPE_KEY - if the diagram type is illegal.
              INVALID_DIAGRAM_ERROR_KEY - if a diagram of an element is not correct.
              INVALID_PARENT_KEY - if the parent is invalid.
              READ_ONLY_MESSAGE - if a read-only element is edited.
              OUT_OF_CONTAINER_KEY - if the location is specified out of container.
              LOCATION_ERROR_KEY - if a parent exists in the specified location.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

  Since:
    6.8.0

### createPin

    abstract INodePresentation createPin(String name,
                                         IClass base,
                                         boolean isInput,
                                         INodePresentation parentAction,
                                         Point2D location)

  Create a Pin in a Parent Presentation.

  Parameters:
    `name` - Pin Name
    `base` - Pin Base Type
    `isInput` - if true, it is Input Pin, otherwise, it is Output Pin.
    `parent` - Parent Presentation (Action/ Call behavior Action)
    `location` - Location
  Returns:
    INodePresentation Pin
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              NO_NAME_ERROR_KEY - if the name is empty.
              NO_TARGET_DIAGRAM_KEY - if target Diagram is not set.
              ILLEGAL_DIAGRAM_TYPE_KEY - if the diagram type is illegal.
              INVALID_DIAGRAM_ERROR_KEY - if a diagram of an element is not correct.
              INVALID_PARENT_KEY - if the parent is invalid.
              READ_ONLY_MESSAGE - if a read-only element is edited.
              OUT_OF_CONTAINER_KEY - if the location is specified out of container.
              LOCATION_ERROR_KEY - if a parent exists in the specified location.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

  Since:
    6.8.0

### createFlow

    abstract ILinkPresentation createFlow(INodePresentation source,
                                          INodePresentation target)

  Create a Control Flow.

  Parameters:
    `end0` - the presentation connected to one side of the link
    `end1` - the presentation connected to one side of the link
  Returns:
    Control Flow Presentation.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

  Since:
    6.8.0

### createObjectNode

    abstract INodePresentation createObjectNode(String name,
                                                IClass base,
                                                Point2D location)

  Create an Object Node.

  Parameters:
    `name` - Object Node Name
    `base` - Object Node Base Type
    `location` - Location
  Returns:
    INodePresentation Object Node
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              NO_NAME_ERROR_KEY - if the name is empty.
              NO_TARGET_DIAGRAM_KEY - if target Diagram is not set.
              ILLEGAL_DIAGRAM_TYPE_KEY - if the diagram type is illegal.
              INVALID_DIAGRAM_ERROR_KEY - if a diagram of an element is not correct.
              INVALID_PARENT_KEY - if the parent is invalid.
              READ_ONLY_MESSAGE - if a read-only element is edited.
              OUT_OF_CONTAINER_KEY - if the location is specified out of container.
              LOCATION_ERROR_KEY - if a parent exists in the specified location.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

  Since:
    6.8.0

### createActivityParameterNode

    abstract INodePresentation createActivityParameterNode(String name,
                                                           IClass base,
                                                           Point2D location)

  Create an Activity Parameter Node.

  Parameters:
    `name` - Activity Parameter Node Name
    `base` - Activity Parameter Node Base Type
    `location` - Location
  Returns:
    INodePresentation Activity Parameter Node
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              NO_NAME_ERROR_KEY - if the name is empty.
              NO_TARGET_DIAGRAM_KEY - if target Diagram is not set.
              ILLEGAL_DIAGRAM_TYPE_KEY - if the diagram type is illegal.
              INVALID_DIAGRAM_ERROR_KEY - if a diagram of an element is not correct.
              INVALID_PARENT_KEY - if the parent is invalid.
              READ_ONLY_MESSAGE - if a read-only element is edited.
              OUT_OF_CONTAINER_KEY - if the location is specified out of container.
              LOCATION_ERROR_KEY - if a parent exists in the specified location.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

  Since:
    6.8.0

### createProcess

    abstract INodePresentation createProcess(String name,
                                             Point2D location)

  Create a Process.

  Parameters:
    `name` - Process Name
    `location` - Location
  Returns:
    INodePresentation Process
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              NO_NAME_ERROR_KEY - if the name is empty.
              NO_TARGET_DIAGRAM_KEY - if target Diagram is not set.
              ILLEGAL_DIAGRAM_TYPE_KEY - if the diagram type is illegal.
              INVALID_DIAGRAM_ERROR_KEY - if a diagram of an element is not correct.
              INVALID_PARENT_KEY - if the parent is invalid.
              READ_ONLY_MESSAGE - if a read-only element is edited.
              OUT_OF_CONTAINER_KEY - if the location is specified out of container.
              LOCATION_ERROR_KEY - if a parent exists in the specified location.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

  Since:
    6.8.0

### createDecisionMergeNode

    abstract INodePresentation createDecisionMergeNode(INodePresentation parent,
                                                       Point2D location)

  Create a decision Merge Node.

  Parameters:
    `parent` - Parent Presentation
    `location` - Location
  Returns:
    INodePresentation
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              NO_TARGET_DIAGRAM_KEY - if target Diagram is not set.
              ILLEGAL_DIAGRAM_TYPE_KEY - if the diagram type is illegal.
              INVALID_DIAGRAM_ERROR_KEY - if a diagram of an element is not correct.
              INVALID_PARENT_KEY - if the parent is invalid.
              READ_ONLY_MESSAGE - if a read-only element is edited.
              OUT_OF_CONTAINER_KEY - if the location is specified out of container.
              LOCATION_ERROR_KEY - if a parent exists in the specified location.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

  Since:
    6.8.0

### createForkNode

    abstract INodePresentation createForkNode(INodePresentation parent,
                                              Point2D location,
                                              double width,
                                              double height)

  Create a Fork Node.

  Parameters:
    `parent` - Parent Presentation
    `location` - Location
    `width` - Width
    `height` - Height
  Returns:
    INodePresentation
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              NO_TARGET_DIAGRAM_KEY - if target Diagram is not set.
              ILLEGAL_DIAGRAM_TYPE_KEY - if the diagram type is illegal.
              INVALID_DIAGRAM_ERROR_KEY - if a diagram of an element is not correct.
              INVALID_PARENT_KEY - if the parent is invalid.
              READ_ONLY_MESSAGE - if a read-only element is edited.
              OUT_OF_CONTAINER_KEY - if the location is specified out of container.
              LOCATION_ERROR_KEY - if a parent exists in the specified location.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

  Since:
    6.8.0

### createForkNode

    abstract INodePresentation createForkNode(INodePresentation parent,
                                              Point2D location)

  Create a Fork Node.

  Parameters:
    `parent` - Parent Presentation
    `location` - Location
  Returns:
    INodePresentation
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              NO_TARGET_DIAGRAM_KEY - if target Diagram is not set.
              ILLEGAL_DIAGRAM_TYPE_KEY - if the diagram type is illegal.
              INVALID_DIAGRAM_ERROR_KEY - if a diagram of an element is not correct.
              INVALID_PARENT_KEY - if the parent is invalid.
              READ_ONLY_MESSAGE - if a read-only element is edited.
              OUT_OF_CONTAINER_KEY - if the location is specified out of container.
              LOCATION_ERROR_KEY - if a parent exists in the specified location.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

  Since:
    6.8.0

### createJoinNode

    abstract INodePresentation createJoinNode(INodePresentation parent,
                                              Point2D location,
                                              double width,
                                              double height)

  Create a Join Node.

  Parameters:
    `parent` - Parent Presentation
    `location` - Location
    `width` - Width
    `height` - Height
  Returns:
    INodePresentation
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              NO_TARGET_DIAGRAM_KEY - if target Diagram is not set.
              ILLEGAL_DIAGRAM_TYPE_KEY - if the diagram type is illegal.
              INVALID_DIAGRAM_ERROR_KEY - if a diagram of an element is not correct.
              INVALID_PARENT_KEY - if the parent is invalid.
              READ_ONLY_MESSAGE - if a read-only element is edited.
              OUT_OF_CONTAINER_KEY - if the location is specified out of container.
              LOCATION_ERROR_KEY - if a parent exists in the specified location.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

  Since:
    6.8.0

### createJoinNode

    abstract INodePresentation createJoinNode(INodePresentation parent,
                                              Point2D location)

  Create a Join Node.

  Parameters:
    `parent` - Parent Presentation
    `location` - Location
  Returns:
    INodePresentation
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              NO_TARGET_DIAGRAM_KEY - if target Diagram is not set.
              ILLEGAL_DIAGRAM_TYPE_KEY - if the diagram type is illegal.
              INVALID_DIAGRAM_ERROR_KEY - if a diagram of an element is not correct.
              INVALID_PARENT_KEY - if the parent is invalid.
              READ_ONLY_MESSAGE - if a read-only element is edited.
              OUT_OF_CONTAINER_KEY - if the location is specified out of container.
              LOCATION_ERROR_KEY - if a parent exists in the specified location.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

  Since:
    6.8.0

### createConnector

    abstract INodePresentation createConnector(String name,
                                               Point2D location)

  Create a Connector.

  Parameters:
    `name` - Connector Name
    `location` - Location
  Returns:
    INodePresentation Action
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              NO_TARGET_DIAGRAM_KEY - if target Diagram is not set.
              ILLEGAL_DIAGRAM_TYPE_KEY - if the diagram type is illegal.
              INVALID_DIAGRAM_ERROR_KEY - if a diagram of an element is not correct.
              INVALID_PARENT_KEY - if the parent is invalid.
              READ_ONLY_MESSAGE - if a read-only element is edited.
              OUT_OF_CONTAINER_KEY - if the location is specified out of container.
              LOCATION_ERROR_KEY - if a parent exists in the specified location.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.

        Values:
              Error messages for exceptions.

  Since:
    6.8.0

### createDependency

    abstract ILinkPresentation createDependency(String name,
                                                INodePresentation client,
                                                INodePresentation supplier)

  Create a Dependency.

  Parameters:
    `name` - Dependency Name
    `client` - the presentation connected to client end of the link
    `supplier` - the presentation connected to supplier end of the link
  Returns:
    Dependency Presentation.
  Throws:
    `InvalidEditingException` - InvalidEditingException occurs.

        Keys:
              PARAMETER_ERROR_KEY - if a parameter is not set properly.
              ILLEGALMODELTYPE_ERROR_KEY - if the model type is illegal.
              NO_NAME_ERROR_KEY - if the name is empty.
              NAME_DOUBLE_ERROR_KEY - An element with the same name already exists.
              BAD_TRANSACTION_KEY - Bad Transaction.
              HAS_EXCEPTION_KEY - if an exception has occurred.
              READ_ONLY_KEY - if a read-only element is edited.

        Values:
              Error messages for exceptions.

  Since:
    6.8.0

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD